Users

Get user mentions

GET /v1/users/{screen_name}/mentions reads 2 credits

Posts by other accounts that mention the account, newest first, optionally bounded in time.

Query parameters

Query parameterTypeMeaning
countint 1–100 = 20Requested page size; X treats it as a hint
cursorstringFrom the previous page's next_cursor
sinceint (unix s)Unix seconds; only posts at or after this time
untilint (unix s)Unix seconds; only posts before this time

response

The account, the effective query, the mentioning posts, and a cursor for the next page (null at the end). Field by field: Tweet (read).

Status: 200, 400, 404, 429, 502

request
curl https://api.xsignalfeed.com/v1/users/nasa/mentions?count=20&since=1789355169 \
  -H "Authorization: Bearer xsf_your_key"
response · 200 / 400
{
  "user": {
    "id": "11348282",
    "screen_name": "NASA"
  },
  "query": "@NASA since_time:1789355169",
  "tweets": [
    {
      "id": 2100419202985185543,
      "created_ms": 1789613936550,
      "user_id": 9000001,
      "user": "some_fan",
      "name": "Some Fan",
      "text": "@NASA …",
      "lang": "en",
      "reply_to": null,
      "reply_to_status_id": null,
      "reply_to_user_id": null,
      "conversation_id": "2100419202985185543",
      "is_rt": false,
      "rt_of": null,
      "is_quote": false,
      "quoted": null,
      "media": [],
      "media_items": [],
      "urls": [],
      "views": "20",
      "counts": {
        "reply": 0,
        "rt": 0,
        "like": 0,
        "quote": 0,
        "bookmark": 0
      }
    },
    {
      "…": "…"
    }
  ],
  "next_cursor": "DAADDAABCgABHSYwIvlXUQcKAAIdJiwgaJcw8AAIAAIAAAACCAADAAAAAAgABAAAAAAKAAUdJjHNpkA…"
}